<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

jimport('joomla.application.component.controller');

/**
 * Jumbotron Component Controller
 *
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @since       2.7.0
 */
class JumbotronController extends JController
{
	/**
	 * @var    string  The default view.
	 * @since  2.7.0
	 */
	protected $default_view = 'jumbotron';

	/**
	 * Override the display method for the controller.
	 *
	 * @return  void
	 * @since   2.7.0
	 */
	function display()
	{
		// Load the component helper.
		require_once JPATH_COMPONENT.'/helpers/jumbotron.php';

		// Load the submenu.
		$view = JRequest::getCmd('view', 'Jumbotron');
		JumbotronHelper::addSubmenu($view);

		// Display the view.
		parent::display();
	}
}